salesforce.cdp.hyperdb.v1

## Interface ResultRangeOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  ResultRange, ResultRange.Builder

    public interface ResultRangeOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getByteLimit()` `uint64 byte_limit = 3;`
`long` `getRowLimit()` `optional uint64 row_limit = 2;`
`long` `getRowOffset()` `uint64 row_offset = 1;`
`boolean` `hasRowLimit()` `optional uint64 row_limit = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getRowOffset

    long getRowOffset()

`uint64 row_offset = 1;`

Returns:
  The rowOffset.

#### hasRowLimit

    boolean hasRowLimit()

`optional uint64 row_limit = 2;`

Returns:
  Whether the rowLimit field is set.

#### getRowLimit

    long getRowLimit()

`optional uint64 row_limit = 2;`

Returns:
  The rowLimit.

#### getByteLimit

    long getByteLimit()

`uint64 byte_limit = 3;`

Returns:
  The byteLimit.